Download it now!
Bug 98462 - EDITING: cross-reference to heading gets lost when inserted by a section file link with a link region
Summary: EDITING: cross-reference to heading gets lost when inserted by a section file...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Fields-Cross-Reference
  Show dependency treegraph
 
Reported: 2016-03-06 08:23 UTC by Xaver
Modified: 2020-05-18 03:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example odt for loosing cross-reference (9.31 KB, application/vnd.oasis.opendocument.text)
2016-03-06 08:23 UTC, Xaver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xaver 2016-03-06 08:23:48 UTC
Created attachment 123334 [details]
example odt for loosing cross-reference

When linking a section to region in another document, the cross-references of a heading get lost.

To reproduce the bug:
- Open a new document
- Create a section
- Link it to the attached file and link it to its section "link it to this section"

Writer will show: Reference not found

(When you examine the content.xml of your new document after saving,  you'll find, that the entry "<text:bookmark-start text:name="__RefHeading__42_073640962"/>", which it usually should contain, is not copied)
Comment 1 Buovjaga 2016-03-10 13:41:19 UTC
Repro.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: b89feb8018bf3610faf01e73995d576f6566e20b
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-03-07_03:36:17
Locale: fi-FI (fi_FI)
Comment 2 QA Administrators 2018-05-18 02:33:03 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2020-05-18 03:40:38 UTC
Dear Xaver,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug